import React, { useRef, useState } from "react";
import "./imageUpload.css";

function ImageUpload({ setImage, shape, border, borderColor, fallbackImage }) {
  const [uploadedImageUrl, setUploadedImageUrl] = useState("");
  const inputFile = useRef();
  const imageUploadHandler = (e) => {
    if (e.target.files[0]) {
      setUploadedImageUrl(URL.createObjectURL(e.target.files[0]));
      setImage(e.target.files[0]);
    }
  };
  return (
    <>
        <div
          className={
            shape === "circle"
              ? "imageCover---Div imageCovercircle---Div"
              : "imageCover---Div"
          }
          style={{
            border: border ? '2px solid black' : 'none',
            borderColor: borderColor ? borderColor : 'black'
          }}
          onClick={() => {
            inputFile.current.click();
          }}
        >
        {uploadedImageUrl ? (
          <img
            alt="profileImage"
            className="image---Div"
            src={uploadedImageUrl}
            onError={(e)=>{e.target.onerror = null; e.target.src=(fallbackImage ? fallbackImage : "https://placehold.co/400x400/000000/FFF?text=Invalid\\nImage")}}
          ></img>) : (
            <div className="initialImage---Div">+</div>
            )
        }
        </div>
      <input
        type="file"
        id="file"
        accept="image/*"
        ref={inputFile}
        onChange={imageUploadHandler}
        style={{ display: "none" }}
      />
    </>
  );
}

export default ImageUpload;
